function cCompleto()
handle = gcf;

obj = findobj(handle,'Tag','Arq1');
arq1 = get(obj,'String');
obj = findobj(handle,'Tag','Arq2');
arq2 = get(obj,'String');
obj = findobj(handle,'Tag','Arq3');
arq3 = get(obj,'String');
obj = findobj(handle,'Tag','Arq4');
arq4 = get(obj,'String');
obj = findobj(handle,'Tag','Arq1-');
p1 = get(obj,'Value');
obj = findobj(handle,'Tag','Arq2-');
p2 = get(obj,'Value');
obj = findobj(handle,'Tag','Arq3-');
p3 = get(obj,'Value');
obj = findobj(handle,'Tag','Arq4-');
p4 = get(obj,'Value');

if ~isempty(arq1) & isempty(arq2)
    nvias = 1;
elseif ~isempty(arq1) & ~isempty(arq2) & isempty(arq3)
    nvias = 2;
elseif ~isempty(arq1) & ~isempty(arq2) & ~isempty(arq3) & isempty(arq4)
    nvias = 3;
elseif ~isempty(arq1) & ~isempty(arq2) & ~isempty(arq3) & ~isempty(arq4)
    nvias = 4;
else
    errordlg('Informe novamente os nomes dos arquivos comeando pelo arquivo 1','Dado de entrada invlido')
    return
end

for v=1:nvias
    switch v
    case 1
        arq = arq1;
    case 2
        arq = arq2;
    case 3
        arq = arq3;
    otherwise
        arq = arq4;
    end
    if exist(arq) ~= 2
        switch v
        case 1
            errordlg('Arquivo 1 inexistente','Dado de entrada invlido')
        case 2
            errordlg('Arquivo 2 inexistente','Dado de entrada invlido')
        case 3
            errordlg('Arquivo 3 inexistente','Dado de entrada invlido')
        otherwise
            errordlg('Arquivo 4 inexistente','Dado de entrada invlido')
        end
        return
    end
    Fp = fopen(arq,'r');
    temp = str2num(fgetl(Fp));
    fclose(Fp);
    nColunas = size(temp,2);
    if nColunas == 8
        switch v
        case 1
            errordlg('Arquivo 1 sem informao de fase','Arquivo invlido')
        case 2
            errordlg('Arquivo 2 sem informao de fase','Arquivo invlido')
        case 3
            errordlg('Arquivo 3 sem informao de fase','Arquivo invlido')
        otherwise
            errordlg('Arquivo 4 sem informao de fase','Arquivo invlido')
        end
        return
    end
    Fp = fopen(arq,'r');
    [dados N] = fscanf(Fp,'%e');
    fclose(Fp);
    dados = reshape(dados,nColunas,N/nColunas)';
    switch v
    case 1
        dadosarq1 = dados;
    case 2
        dadosarq2 = dados;
    case 3
        dadosarq3 = dados;
    otherwise
        dadosarq4 = dados;
    end
end

f = dadosarq1(:,1);
switch nvias
case 1
    [modG1 fasG1 modH1 fasH1 modZin1 fasZin1] = pegardados(dadosarq1);
    Zin1 = modZin1.*exp(i*fasZin1);
    G = (-1)^p1*modG1.*exp(j*fasG1);
    H = (-1)^p1*modH1.*exp(j*fasH1);
    Zin = (1./Zin1).^-1;
    fasG1 = (180/pi)*unwrap(fasG1);
    fasH1 = (180/pi)*unwrap(fasH1);
    fasZin1 = (180/pi)*unwrap(fasZin1);
case 2
    [modG1,fasG1,modH1,fasH1,modZin1,fasZin1] = pegardados(dadosarq1);
    [modG2,fasG2,modH2,fasH2,modZin2,fasZin2] = pegardados(dadosarq2);
    Zin1 = modZin1.*exp(j*fasZin1); Zin2 = modZin2.*exp(j*fasZin2);
    G = (-1)^p1*modG1.*exp(j*fasG1) + (-1)^p2*modG2.*exp(j*fasG2);
    H = (-1)^p1*modH1.*exp(j*fasH1) + (-1)^p2*modH2.*exp(j*fasH2);
    Zin = (1./Zin1 + 1./Zin2).^-1;
    fasG1 = (180/pi)*unwrap(fasG1); fasG2 = (180/pi)*unwrap(fasG2);
    fasH1 = (180/pi)*unwrap(fasH1); fasH2 = (180/pi)*unwrap(fasH2);
    fasZin1 = (180/pi)*unwrap(fasZin1); fasZin2 = (180/pi)*unwrap(fasZin2);
case 3
    [modG1,fasG1,modH1,fasH1,modZin1,fasZin1] = pegardados(dadosarq1);
    [modG2,fasG2,modH2,fasH2,modZin2,fasZin2] = pegardados(dadosarq2);
    [modG3,fasG3,modH3,fasH3,modZin3,fasZin3] = pegardados(dadosarq3);
    Zin1 = modZin1.*exp(j*fasZin1); Zin2 = modZin2.*exp(j*fasZin2); Zin3 = modZin3.*exp(j*fasZin3);
    G = (-1)^p1*modG1.*exp(j*fasG1) + (-1)^p2*modG2.*exp(j*fasG2) + (-1)^p3*modG3.*exp(j*fasG3);
    H = (-1)^p1*modH1.*exp(j*fasH1) + (-1)^p2*modH2.*exp(j*fasH2) + (-1)^p3*modH3.*exp(j*fasH3);
    Zin = (1./Zin1 + 1./Zin2 + 1./Zin3).^-1;
    fasG1 = (180/pi)*unwrap(fasG1); fasG2 = (180/pi)*unwrap(fasG2); fasG3 = (180/pi)*unwrap(fasG3);
    fasH1 = (180/pi)*unwrap(fasH1); fasH2 = (180/pi)*unwrap(fasH2); fasH3 = (180/pi)*unwrap(fasH3);
    fasZin1 = (180/pi)*unwrap(fasZin1); fasZin2 = (180/pi)*unwrap(fasZin2); fasZin3 = (180/pi)*unwrap(fasZin3);
otherwise
    [modG1,fasG1,modH1,fasH1,modZin1,fasZin1] = pegardados(dadosarq1);
    [modG2,fasG2,modH2,fasH2,modZin2,fasZin2] = pegardados(dadosarq2);
    [modG3,fasG3,modH3,fasH3,modZin3,fasZin3] = pegardados(dadosarq3);
    [modG4,fasG4,modH4,fasH4,modZin4,fasZin4] = pegardados(dadosarq4);
    Zin1 = modZin1.*exp(j*fasZin1); Zin2 = modZin2.*exp(j*fasZin2); Zin3 = modZin3.*exp(j*fasZin3); Zin4 = modZin4.*exp(j*fasZin4);
    G = (-1)^p1*modG1.*exp(j*fasG1) + (-1)^p2*modG2.*exp(j*fasG2) + (-1)^p3*modG3.*exp(j*fasG3) + (-1)^p4*modG4.*exp(j*fasG4);
    H = (-1)^p1*modH1.*exp(j*fasH1) + (-1)^p2*modH2.*exp(j*fasH2) + (-1)^p3*modH3.*exp(j*fasH3) + (-1)^p4*modH4.*exp(j*fasH4);
    Zin = (1./Zin1 + 1./Zin2 + 1./Zin3 + 1./Zin4).^-1;
    fasG1 = (180/pi)*unwrap(fasG1); fasG2 = (180/pi)*unwrap(fasG2); fasG3 = (180/pi)*unwrap(fasG3); fasG4 = (180/pi)*unwrap(fasG4);
    fasH1 = (180/pi)*unwrap(fasH1); fasH2 = (180/pi)*unwrap(fasH2); fasH3 = (180/pi)*unwrap(fasH3); fasH4 = (180/pi)*unwrap(fasH4);
    fasZin1 = (180/pi)*unwrap(fasZin1); fasZin2 = (180/pi)*unwrap(fasZin2); fasZin3 = (180/pi)*unwrap(fasZin3); fasZin4 = (180/pi)*unwrap(fasZin4);
end

f = dadosarq1(:,1);
modG = abs(G); fasG = (180/pi)*unwrap(angle(G));
modH = abs(H); fasH = (180/pi)*unwrap(angle(H));
modZin = abs(Zin); fasZin = (180/pi)*unwrap(angle(Zin));

figure(1)
close

figure(2)
switch nvias
case 1
    traco = semilogx(f,fasZin1,f,fasZin,'r');
    legend('Via 1','Sistema')
case 2
    traco = semilogx(f,fasZin1,'b',f,fasZin2,'g',f,fasZin,'r');
    legend('Via 1','Via 2','Sistema')
case 3
    traco = semilogx(f,fasZin1,'b',f,fasZin2,'g',f,fasZin3,'y',f,fasZin,'r');
    legend('Via 1','Via 2','Via 3','Sistema')
otherwise
    traco = semilogx(f,fasZin1,'b',f,fasZin2,'g',f,fasZin3,'y',f,fasZin4,'m',f,fasZin,'r');
    legend('Via 1','Via 2','Via 3','Via 4','Sistema')
end
set(gcf,'Name','Fase da impedncia de entrada','NumberTitle','off')
set(gca,'LineWidth',1.5,'GridLineStyle','-');
set(traco,'LineWidth',1.5);
xlabel('Freqncia (Hz)'); ylabel('Fase (graus)');
grid on
v1 = axis;
axis tight
v2 = axis;
v2(3) = v1(3); v2(4) = v1(4);
axis(v2)

figure(3)
switch nvias
case 1
    traco = semilogx(f,modZin1,'b',f,modZin,'r');
    legend('Via 1','Sistema')
case 2
    traco = semilogx(f,modZin1,'b',f,modZin2,'g',f,modZin,'r');
    legend('Via 1','Via 2','Sistema')
case 3
    traco = semilogx(f,modZin1,'b',f,modZin2,'g',f,modZin3,'y',f,modZin,'r');
    legend('Via 1','Via 2','Via 3','Sistema')
otherwise
    traco = semilogx(f,modZin1,'b',f,modZin2,'g',f,modZin3,'y',f,modZin4,'m',f,modZin,'r');
    legend('Via 1','Via 2','Via 3','Via 4','Sistema')
end
set(gcf,'Name','Magnitude da impedncia de entrada','NumberTitle','off')
set(gca,'LineWidth',1.5,'GridLineStyle','-');
set(traco,'LineWidth',1.5);
xlabel('Freqncia (Hz)'); ylabel('Magnitude (\Omega)');
grid on
v1 = axis;
axis tight
v2 = axis;
v2(3) = v1(3); v2(4) = v1(4);
axis(v2)

figure(4)
switch nvias
case 1
    traco = semilogx(f,(180/pi)*unwrap(pi*fasH/180),'r',f,fasG,'r:');
case 2
    traco = semilogx(f,fasH1,'b' ,f,fasH2,'g' ,f,fasH,'r',...
                     f,fasG1,'b:',f,fasG2,'g:',f,fasG,'r:');
    legend('Via 1','Via 2','Sistema')
case 3
    traco = semilogx(f,fasH1,'b' ,f,fasH2,'g' ,f,fasH3,'y' ,f,fasH,'r',...
                     f,fasG1,'b:',f,fasG2,'g:',f,fasG3,'y:',f,fasG,'r:');
    legend('Via 1','Via 2','Via 3','Sistema')
otherwise
    traco = semilogx(f,fasH1,'b' ,f,fasH2,'g' ,f,fasH3,'y' ,f,fasH4,'m' ,f,fasH,'r',...
                     f,fasG1,'b:',f,fasG2,'g:',f,fasG3,'y:',f,fasG4,'m:',f,fasG,'r:');
    legend('Via 1','Via 2','Via 3','Via 4','Sistema')
end
set(gcf,'Name','Fase da presso sonora','NumberTitle','off')
set(gca,'LineWidth',1.5,'GridLineStyle','-');
set(traco,'LineWidth',1.5);
xlabel('Freqncia (Hz)'); ylabel('Fase (graus)');
grid on
v1 = axis;
axis tight
v2 = axis;
v2(3) = v1(3); v2(4) = v1(4);
axis(v2)

figure(5)
switch nvias
case 1
    traco = semilogx(f,20*log10(modH),'r',f,20*log10(modG),'r:');
case 2
    traco = semilogx(f,20*log10(modH1),'b' ,f,20*log10(modH2),'g' ,f,20*log10(modH),'r',...
                     f,20*log10(modG1),'b:',f,20*log10(modG2),'g:',f,20*log10(modG),'r:');
    legend('Via 1','Via 2','Sistema')
case 3
    traco = semilogx(f,20*log10(modH1),'b' ,f,20*log10(modH2),'g' ,f,20*log10(modH3),'y' ,f,20*log10(modH),'r',...
                     f,20*log10(modG1),'b:',f,20*log10(modG2),'g:',f,20*log10(modG3),'y:',f,20*log10(modG),'r:');
    legend('Via 1','Via 2','Via 3','Sistema')
otherwise
    traco = semilogx(f,20*log10(modH1),'b' ,f,20*log10(modH2),'g' ,f,20*log10(modH3),'y' ,f,20*log10(modH4),'m' ,f,20*log10(modH),'r',...
                     f,20*log10(modG1),'b:',f,20*log10(modG2),'g:',f,20*log10(modG3),'y:',f,20*log10(modG4),'m:',f,20*log10(modG),'r:');
    legend('Via 1','Via 2','Via 3','Via 4','Sistema')
end
set(gcf,'Name','SPL','NumberTitle','off')
set(gca,'LineWidth',1.5,'GridLineStyle','-');
set(traco,'LineWidth',1.5);
xlabel('Freqncia (Hz)'); ylabel('Magnitude (dB)');
grid on
v1 = axis;
axis tight
v2 = axis;
v2(3) = v1(3); v2(4) = v1(4);
axis(v2)

function [modG,fasG,modH,fasH,modZin,fasZin] = pegardados(dadosarq)
modG = dadosarq(:,2);
fasG = dadosarq(:,3);
modH = dadosarq(:,4);
fasH = dadosarq(:,5);
modZin = dadosarq(:,6);
fasZin = dadosarq(:,7);