function cFal()
handle = gcf;
[falha,f,s,modHs,modHseq,fasHs,fasHseq,Zs,Zseq,Zser,Zpar] = falante(handle);
if falha == 1
    return
end

figure(1)
close

figure(2)
if Zseq == Zs
    traco = semilogx(f,(180/pi)*angle(Zs),'k');
else
    traco = semilogx(f,(180/pi)*angle(Zs),'k', f,(180/pi)*angle(Zseq),'b');
    legend('alto-falante','alto-falante corrigida',0)
end
set(gcf,'Name','Fase da impedncia do alto-falante','NumberTitle','off')
set(gca,'LineWidth',1.5,'GridLineStyle','-');
set(traco,'LineWidth',1.5);
xlabel('Freqncia (Hz)'); ylabel('Fase (graus)');
grid on
v1 = axis;
axis tight
v2 = axis;
v2(3) = v1(3); v2(4) = v1(4);
axis(v2)

figure(3)
if Zseq == Zs
    traco = semilogx(f,abs(Zs),'k');
else
    traco = semilogx(f,abs(Zs),'k',f,abs(Zseq),'b');
    legend('alto-falante','alto-falante corrigida',0)
end
set(gcf,'Name','Magnitude da impedncia do alto-falante','NumberTitle','off')
set(gca,'LineWidth',1.5,'GridLineStyle','-');
set(traco,'LineWidth',1.5);
xlabel('Freqncia (Hz)'); ylabel('Mdulo (\Omega)');
grid on
v1 = axis;
axis tight
v2 = axis;
v2(3) = v1(3); v2(4) = v1(4);
axis(v2)

figure(4)
if isempty(fasHs)
    close
else
    if Zser == 0
        traco = semilogx(f,(180/pi)*fasHs,'k');
        legend('alto-falante',0)
    else
        traco = semilogx(f,(180/pi)*fasHs,'k',f,(180/pi)*fasHseq,'b');
        legend('alto-falante','alto-falante corrigida',0)
    end
    set(gcf,'Name','fase da presso sonora','NumberTitle','off')
    set(gca,'LineWidth',1.5,'GridLineStyle','-');
    set(traco,'LineWidth',1.5);
    xlabel('Freqncia (Hz)'); ylabel('Fase (graus)');
    grid on
    v1 = axis;
    axis tight
    v2 = axis;
    v2(3) = v1(3); v2(4) = v1(4);
    axis(v2)
end

figure(5)
if Zser == 0
    traco = semilogx(f,20*log10(modHs),'k');
else
    traco = semilogx(f,20*log10(modHs),'k',f,20*log10(modHseq),'b');
    legend('alto-falante','alto-falante corrigida',0)
end
set(gcf,'Name','SPL','NumberTitle','off')
set(gca,'LineWidth',1.5,'GridLineStyle','-');
set(traco,'LineWidth',1.5);
xlabel('Freqncia (Hz)'); ylabel('SPL');
grid on
v1 = axis;
axis tight
v2 = axis;
v2(3) = v1(3); v2(4) = v1(4);
axis(v2)