function cPB06()
handle = gcf;
tag = get(gcbo,'Tag');

obj = findobj(handle,'Tag','RL1');
RL1 = get(obj,'String');
if isempty(RL1)
    RL1 = 0;
    set(obj,'String','0')
else
    RL1 = str2double(RL1);
end
RL = [RL1];
[falha,f,s,modHs,modHseq,fasHs,fasHseq,Zs,Zseq,Zser,Zpar] = falante(handle);
if falha == 1
    return
end
[falha,Rg,Zinmin,P0,W,modG,fasG] = dados(handle,'PB',1,f,s);
if falha == 1
    return
end

switch tag
case 'otimizar'
    obj   = findobj(handle,'Tag','L1min');
    L1min = get(obj,'String');
    if isempty(L1min)
        errordlg(' necessrio informar o mnimo valor aceito para L1','Faltando dado de entrada');
        return
    else
        L1min = str2double(L1min)*1e-3;
    end
    obj  = findobj(handle,'Tag','L1max');
    L1max = get(obj,'String');
    if isempty(L1max)
        errordlg(' necessrio informar o mximo valor aceito para L1','Faltando dado de entrada');
        return
    else
        L1max = str2double(L1max)*1e-3;
    end
    if L1min>L1max
        errordlg('O valor mximo de L1 deve ser maior que o valor mnimo','Dado de entrada invlido');
        return
    end
    LB = [L1min];
    UB = [L1max];
    Y0 = 0;
    [X,falha,witer,weval,modH,fasH,modZin,fasZin,erro,minZin,modZLB,fasZLB] = otimiza(handle,'PB06',Y0,f,s,modG,fasG,modHseq,fasHseq,Zseq,Zinmin,LB,UB,RL,W,P0,Zser,Zpar,Rg);
    if falha == 1
        return
    end
    obj = findobj(handle,'Tag','L1');
    set(obj,'String',num2str(X*1e3))
    wZin = 0;
otherwise
    load ArqVar arq X Y LB UB
    if strcmp(arq,'PB06') == 0
        errordlg(' necessrio otimizar novamente antes de escolher a opo Recalcular sem reotimizar','Erro');
        obj = findobj(handle,'Tag','recalcular');
        set(obj,'Enable','off')
        return
    end
    [erro,modH,fasH] = Fts(Y,'PB06',s,Zseq,Zinmin,LB,UB,RL,modG,modHseq,fasHseq,W,P0);
    [c,ceq,minZin,modZin,fasZin] = Zins(Y,'PB06',s,Zseq,Zinmin,LB,UB,RL);
    [modZLB,fasZLB] = lookback(s,'PB06',X,Zser,Zpar,Rg,RL);
    if minZin < Zinmin
        wZin = 1;
    else
        wZin = 0;
    end
    witer = 0;
    weval = 0;
    save ArqVar arq X Y LB UB f P0 modG fasG modH fasH modZin fasZin modZLB fasZLB
end

obj = findobj(handle,'Tag','minZin');
set(obj,'String',num2str(minZin))
obj = findobj(handle,'Tag','erro');
set(obj,'String',num2str(erro))
graficos(f,P0,modG,fasG,modH,fasH,modHs,modHseq,fasHs,fasHseq,Zs,Zseq,modZin,fasZin,Zser,modZLB,fasZLB,witer,weval,wZin)