function cPF18()
handle = gcf;
tag = get(gcbo,'Tag');

obj = findobj(handle,'Tag','RL1');
RL1 = get(obj,'String');
if isempty(RL1)
    RL1 = 0;
    set(obj,'String','0')
else
    RL1 = str2double(RL1);
end
obj = findobj(handle,'Tag','RL2');
RL2 = get(obj,'String');
if isempty(RL2)
    RL2 = 0;
    set(obj,'String','0')
else
    RL2 = str2double(RL2);
end
obj = findobj(handle,'Tag','RL3');
RL3 = get(obj,'String');
if isempty(RL3)
    RL3 = 0;
    set(obj,'String','0')
else
    RL3 = str2double(RL3);
end
RL = [RL1 RL2 RL3];
[falha,f,s,modHs,modHseq,fasHs,fasHseq,Zs,Zseq,Zser,Zpar] = falante(handle);
if falha == 1
    return
end
[falha,Rg,Zinmin,P0,W,modG,fasG] = dados(handle,'PF',3,f,s);
if falha == 1
    return
end

switch tag
case 'otimizar'
    obj   = findobj(handle,'Tag','R1min');
    R1min = get(obj,'String');
    obj   = findobj(handle,'Tag','L1min');
    L1min = get(obj,'String');
    obj   = findobj(handle,'Tag','L2min');
    L2min = get(obj,'String');
    obj   = findobj(handle,'Tag','L3min');
    L3min = get(obj,'String');
    obj   = findobj(handle,'Tag','C1min');
    C1min = get(obj,'String');
    obj   = findobj(handle,'Tag','C2min');
    C2min = get(obj,'String');
    obj   = findobj(handle,'Tag','C3min');
    C3min = get(obj,'String');
    if isempty(R1min) | isempty(L1min) | isempty(L2min) | isempty(L3min) | isempty(C1min) | isempty(C2min)| isempty(C3min)
        errordlg('Valor(es) mnimo(s) no fornecido(s)','Faltando dado(s) de entrada');
        return
    else
        R1min = str2double(R1min);
        L1min = str2double(L1min)*1e-3;
        L2min = str2double(L2min)*1e-3;
        L3min = str2double(L3min)*1e-3;
        C1min = str2double(C1min)*1e-6;
        C2min = str2double(C2min)*1e-6;
        C3min = str2double(C3min)*1e-6;
    end
    obj   = findobj(handle,'Tag','R1max');
    R1max = get(obj,'String');
    obj   = findobj(handle,'Tag','L1max');
    L1max = get(obj,'String');
    obj   = findobj(handle,'Tag','L2max');
    L2max = get(obj,'String');
    obj   = findobj(handle,'Tag','L3max');
    L3max = get(obj,'String');
    obj   = findobj(handle,'Tag','C1max');
    C1max = get(obj,'String');
    obj   = findobj(handle,'Tag','C2max');
    C2max = get(obj,'String');
    obj   = findobj(handle,'Tag','C3max');
    C3max = get(obj,'String');
    if isempty(R1max) | isempty(L1max) | isempty(L2max) | isempty(L3max) | isempty(C1max) | isempty(C2max) | isempty(C3max)
        errordlg('Valor(es) mximo(s) no fornecido(s)','Faltando dado(s) de entrada');
        return
    else
        R1max = str2double(R1max);
        L1max = str2double(L1max)*1e-3;
        L2max = str2double(L2max)*1e-3;
        L3max = str2double(L3max)*1e-3;
        C1max = str2double(C1max)*1e-6;
        C2max = str2double(C2max)*1e-6;
        C3max = str2double(C3max)*1e-6;
    end
    if R1min>R1max | L1min>L1max | L2min>L2max | L3min>L3max | C1min>C1max | C2min>C2max | C3min>C3max
        errordlg('Valor(es) mnimo(s) maior(es) que valor(es) mximo(s)','Dado(s) de entrada invlido(s)');
        return           
    end
    LB = [R1min L1min L2min L3min C1min C2min C3min];
    UB = [R1max L1max L2max L3max C1max C2max C3max];
    Y0 = [0 0 0 0 0 0 0];
    [X,falha,witer,weval,modH,fasH,modZin,fasZin,erro,minZin,modZLB,fasZLB] = otimiza(handle,'PF18',Y0,f,s,modG,fasG,modHseq,fasHseq,Zseq,Zinmin,LB,UB,RL,W,P0,Zser,Zpar,Rg);
    if falha == 1
        return
    end
    obj = findobj(handle,'Tag','R1');
    set(obj,'String',num2str(X(1)))
    obj = findobj(handle,'Tag','L1');
    set(obj,'String',num2str(X(2)*1e3))
    obj = findobj(handle,'Tag','L2');
    set(obj,'String',num2str(X(3)*1e3))
    obj = findobj(handle,'Tag','L3');
    set(obj,'String',num2str(X(4)*1e3))
    obj = findobj(handle,'Tag','C1');
    set(obj,'String',num2str(X(5)*1e6))
    obj = findobj(handle,'Tag','C2');
    set(obj,'String',num2str(X(6)*1e6))
    obj = findobj(handle,'Tag','C3');
    set(obj,'String',num2str(X(7)*1e6))
    wZin = 0;
otherwise
    load ArqVar arq X Y LB UB
    if strcmp(arq,'PF18') == 0
        errordlg(' necessrio otimizar novamente antes de escolher a opo Recalcular sem reotimizar','Erro');
        obj = findobj(handle,'Tag','recalcular');
        set(obj,'Enable','off')
        return
    end
    [erro,modH,fasH] = Fts(Y,'PF18',s,Zseq,Zinmin,LB,UB,RL,modG,modHseq,fasHseq,W,P0);
    [c,ceq,minZin,modZin,fasZin] = Zins(Y,'PF18',s,Zseq,Zinmin,LB,UB,RL);
    [modZLB,fasZLB] = lookback(s,'PF18',X,Zser,Zpar,Rg,RL);
    if minZin < Zinmin
        wZin = 1;
    else
        wZin = 0;
    end
    witer = 0;
    weval = 0;
    save ArqVar arq X Y LB UB f P0 modG fasG modH fasH modZin fasZin modZLB fasZLB
end

obj = findobj(handle,'Tag','minZin');
set(obj,'String',num2str(minZin))
obj = findobj(handle,'Tag','erro');
set(obj,'String',num2str(erro))
graficos(f,P0,modG,fasG,modH,fasH,modHs,modHseq,fasHs,fasHseq,Zs,Zseq,modZin,fasZin,Zser,modZLB,fasZLB,witer,weval,wZin)