function RLC()
handle = gcf;
Z = get(gcbo,'Tag');
switch Z
case 'Z1'
    [errofr,erroBw,erroVa] = calc(handle,'fr1','Bw1','Rs1','Ls1','Cs1');
    if errofr == 1
        errordlg(' necessrio informar o valor de fr','Faltando dado de entrada');
        return
    end
    if erroBw == 1
        errordlg(' necessrio informar o valor de Bw','Faltando dado de entrada');
        return
    end
    if erroVa == 1
        errordlg('S  permitido atribuir o valor de um componente: Rs1 ou Ls1 ou Cs1','Erro em dado de entrada');
        return
    end
case 'Z2'
    [errofr,erroBw,erroVa] = calc(handle,'fr2','Bw2','Rs2','Ls2','Cs2');
    if errofr == 1
        errordlg(' necessrio informar o valor de fr','Faltando dado de entrada');
        return
    end
    if erroBw == 1
        errordlg(' necessrio informar o valor de Bw','Faltando dado de entrada');
        return
    end
    if erroVa == 1
        errordlg('S  permitido atribuir o valor de um componente: Rs2 ou Ls2 ou Cs2','Erro em dado de entrada');
        return
    end
case 'Z3'
    [errofr,erroBw,erroVa] = calc(handle,'fr3','Bw3','Rp1','Lp1','Cp1');
    if errofr == 1
        errordlg(' necessrio informar o valor de fr','Faltando dado de entrada');
        return
    end
    if erroBw == 1
        errordlg(' necessrio informar o valor de Bw','Faltando dado de entrada');
        return
    end
    if erroVa == 1
        errordlg('S  permitido atribuir o valor de um componente: Rp1 ou Lp1 ou Cp1','Erro em dado de entrada');
        return
    end
case 'Z4'
    [errofr,erroBw,erroVa] = calc(handle,'fr4','Bw4','Rp2','Lp2','Cp2');
    if errofr == 1
        errordlg(' necessrio informar o valor de fr','Faltando dado de entrada');
        return
    end
    if erroBw == 1
        errordlg(' necessrio informar o valor de Bw','Faltando dado de entrada');
        return
    end
    if erroVa == 1
        errordlg('S  permitido atribuir o valor de um componente: Rp2 ou Lp2 ou Cp2','Erro em dado de entrada');
        return
    end
otherwise
    [errofr,erroBw,erroVa] = calc(handle,'fr5','Bw5','Rp3','Lp3','Cp3');
    if errofr == 1
        errordlg(' necessrio informar o valor de fr','Faltando dado de entrada');
        return
    end
    if erroBw == 1
        errordlg(' necessrio informar o valor de Bw','Faltando dado de entrada');
        return
    end
    if erroVa == 1
        errordlg('S  permitido atribuir o valor de um componente: Rp3 ou Lp3 ou Cp3','Erro em dado de entrada');
        return
    end
end

function [errofr,erroBw,erroVa] = calc(handle,sfr,sBw,sR,sL,sC)
errofr = 0; erroBw = 0; erroVa = 0;
obj = findobj(handle,'Tag',sfr);
fr = get(obj,'String');
obj = findobj(handle,'Tag',sBw);
Bw = get(obj,'String');
if isempty(fr)
    errofr = 1;
    return
else
    fr = str2double(fr);
end
if isempty(Bw)
    erroBw = 1;
    return
else
    Bw = str2double(Bw);
end
obj = findobj(handle,'Tag',sR);
R = get(obj,'String');
obj = findobj(handle,'Tag',sL);
L = get(obj,'String');
obj = findobj(handle,'Tag',sC);
C = get(obj,'String');
if (~isempty(R) & ~isempty(L)) | (~isempty(R) & ~isempty(C)) | (~isempty(L) & ~isempty(C))
    erroVa = 1;
    return
end
if ~isempty(R)
    R = str2double(R);
    L = R/(Bw*2*pi);
    C = 1/(L*(2*pi*fr)^2);
elseif ~isempty(L)
    L = str2double(L)*1e-3;
    R = 2*pi*Bw*L;
    C = 1/(L*(2*pi*fr)^2);
elseif ~isempty(C)
    C = str2double(C)*1e-6;
    L = 1/(C*(2*pi*fr)^2);
    R = 2*pi*Bw*L;
else
    C = 10e-6;
    L = 1/(C*(2*pi*fr)^2);
    R = 2*pi*Bw*L;
end
obj = findobj(handle,'Tag',sR');
set(obj,'String',num2str(R))
obj = findobj(handle,'Tag',sL);
set(obj,'String',num2str(L*1e3))
obj = findobj(handle,'Tag',sC);
set(obj,'String',num2str(C*1e6))