function cPA12()
handle = gcf;
tag = get(gcbo,'Tag');

obj = findobj(handle,'Tag','RL1');
RL1 = get(obj,'String');
if isempty(RL1)
    RL1 = 0;
    set(obj,'String','0')
else
    RL1 = str2double(RL1);
end
RL = [RL1];
[falha,f,s,modHs,modHseq,fasHs,fasHseq,Zs,Zseq,Zser,Zpar] = falante(handle);
if falha == 1
    return
end
[falha,Rg,Zinmin,P0,W,modG,fasG] = dados(handle,'PA',2,f,s);
if falha == 1
    return
end

switch tag
case 'otimizar'
    obj   = findobj(handle,'Tag','R1min');
    R1min = get(obj,'String');
    obj   = findobj(handle,'Tag','L1min');
    L1min = get(obj,'String');
    obj   = findobj(handle,'Tag','C1min');
    C1min = get(obj,'String');
    if isempty(R1min) | isempty(L1min) | isempty(C1min)
        errordlg('Valor(es) mnimo(s) no fornecido(s)','Faltando dado(s) de entrada');
        return
    else
        R1min = str2double(R1min);
        L1min = str2double(L1min)*1e-3;
        C1min = str2double(C1min)*1e-6;
    end
    obj   = findobj(handle,'Tag','R1max');
    R1max = get(obj,'String');
    obj   = findobj(handle,'Tag','L1max');
    L1max = get(obj,'String');
    obj   = findobj(handle,'Tag','C1max');
    C1max = get(obj,'String');
    if isempty(R1max) | isempty(L1max) | isempty(C1max) 
        errordlg('Valor(es) mximo(s) no fornecido(s)','Faltando dado(s) de entrada');
        return
    else
        R1max = str2double(R1max);
        L1max = str2double(L1max)*1e-3;
        C1max = str2double(C1max)*1e-6;
    end
    if R1min>R1max | L1min>L1max | C1min>C1max
        errordlg('Valor(es) mnimo(s) maior(es) que valor(es) mximo(s)','Dado(s) de entrada invlido(s)');
        return
    end
    LB = [R1min L1min C1min];
    UB = [R1max L1max C1max];
    Y0 = [0 0 0];
    [X,falha,witer,weval,modH,fasH,modZin,fasZin,erro,minZin,modZLB,fasZLB] = otimiza(handle,'PA12',Y0,f,s,modG,fasG,modHseq,fasHseq,Zseq,Zinmin,LB,UB,RL,W,P0,Zser,Zpar,Rg);
    if falha == 1
        return
    end
    obj = findobj(handle,'Tag','R1');
    set(obj,'String',num2str(X(1)))
    obj = findobj(handle,'Tag','L1');
    set(obj,'String',num2str(X(2)*1e3))
    obj = findobj(handle,'Tag','C1');
    set(obj,'String',num2str(X(3)*1e6))
    wZin = 0;
otherwise
    load ArqVar arq X Y LB UB
    if strcmp(arq,'PA12') == 0
        errordlg(' necessrio otimizar novamente antes de escolher a opo Recalcular sem reotimizar','Erro');
        obj = findobj(handle,'Tag','recalcular');
        set(obj,'Enable','off')
        return
    end
    [erro,modH,fasH] = Fts(Y,'PA12',s,Zseq,Zinmin,LB,UB,RL,modG,modHseq,fasHseq,W,P0);
    [c,ceq,minZin,modZin,fasZin] = Zins(Y,'PA12',s,Zseq,Zinmin,LB,UB,RL);
    [modZLB,fasZLB] = lookback(s,'PA12',X,Zser,Zpar,Rg,RL);
    if minZin < Zinmin
        wZin = 1;
    else
        wZin = 0;
    end
    witer = 0;
    weval = 0;
    save ArqVar arq X Y LB UB f P0 modG fasG modH fasH modZin fasZin modZLB fasZLB
end

obj = findobj(handle,'Tag','minZin');
set(obj,'String',num2str(minZin))
obj = findobj(handle,'Tag','erro');
set(obj,'String',num2str(erro))
graficos(f,P0,modG,fasG,modH,fasH,modHs,modHseq,fasHs,fasHseq,Zs,Zseq,modZin,fasZin,Zser,modZLB,fasZLB,witer,weval,wZin)