function cZopc()
obj = get(gcbo,'Tag');
valor = get(gcbo,'Value');
switch obj
case 'Zs1'
    zopc(valor,'fr1','Bw1','Z1','Rs1','Ls1','Cs1','tZs1')
case 'Zs2'
    zopc(valor,'fr2','Bw2','Z2','Rs2','Ls2','Cs2','tZs2')
    if valor == 1
        set(findobj(gcf,'Tag','tRLs2'),'Enable','on')
        set(findobj(gcf,'Tag','RLs2'),'Enable','on')
    else
        set(findobj(gcf,'Tag','tRLs2'),'Enable','off')
        set(findobj(gcf,'Tag','RLs2'),'Enable','off')
    end
case 'Zp1'
    zopc(valor,'fr3','Bw3','Z3','Rp1','Lp1','Cp1','tZp1')
case 'Zp2'
    zopc(valor,'fr4','Bw4','Z4','Rp2','Lp2','Cp2','tZp2')
otherwise
    zopc(valor,'fr5','Bw5','Z5','Rp3','Lp3','Cp3','tZp3')
end

function zopc(valor,f,B,P,R,L,C,tZ)
if valor == 1
    enable  = [findobj(gcf,'Tag',f), findobj(gcf,'Tag',B) ,...
               findobj(gcf,'Tag',P), findobj(gcf,'Tag',R),...
               findobj(gcf,'Tag',L), findobj(gcf,'Tag',C)];
    enabletxt = findobj(gcf,'Tag',tZ');
    disable = [];
    disabletxt = [];
else
    enable  = [];
    enabletxt = [];
    disable = [findobj(gcf,'Tag',f), findobj(gcf,'Tag',B) ,...
               findobj(gcf,'Tag',P), findobj(gcf,'Tag',R),...
               findobj(gcf,'Tag',L), findobj(gcf,'Tag',C)];
    disabletxt = findobj(gcf,'Tag',tZ);
end
set(enabletxt,'Enable','on')
set(disabletxt,'Enable','off')
set(enable,'Enable','on')
set(disable,'Enable','off' )