function [falha,Rg,Zinmin,P0,W,modG,fasG] = dados(handle,tipo,ordem,f,s)
falha = 0; Rg = 0; Zinmin = 0; P0 = 0; W = 0; modG=0; fasG=0;
obj = findobj(handle,'Tag','Rg');
Rg  = get(obj,'String');
if isempty(Rg)
    Rg = 0;
    set(obj,'String','0')
else
    Rg = str2double(Rg);
end

obj    = findobj(handle,'Tag','Zinmin');
Zinmin = get(obj,'String');
if isempty(Zinmin)
    errordlg(' necessrio informar o mnimo valor aceito para o mdulo da impedncia de entrada da rede','Faltando dado de entrada');
    falha = 1;
    return
else
    Zinmin = str2double(Zinmin);
end

obj = findobj(handle,'Tag','P0');
P0  = get(obj,'String');
if isempty(P0)
    errordlg(' necessrio informar o valor desejado para P0','Faltando dado de entrada');
    falha = 1;
    return
else
    P0linear = str2double(P0);
    P0 = 10^(0.05*P0linear);
end

if strcmp(tipo,'PB') | strcmp(tipo,'PA')
    obj = findobj(handle,'Tag','f0');
    f0  = get(obj,'String');
    f1  = 0; f2 = 0;
else
    f0  = 0;
    obj = findobj(handle,'Tag','f1');
    f1  = get(obj,'String');
    obj = findobj(handle,'Tag','f2');
    f2  = get(obj,'String');
end
if strcmp(tipo,'PB') | strcmp(tipo,'PA')
    if isempty(f0)
        errordlg(' necessrio informar o valor da freqncia f0','Faltando dado de entrada');
        falha = 1;
        return
    else
        f0 = str2double(f0);
    end
else
    if isempty(f1)
        errordlg(' necessrio informar o valor da freqncia f1','Faltando dado de entrada');
        falha = 1;
        return
    else
        f1 = str2double(f1);
    end
    if isempty(f2)
        errordlg(' necessrio informar o valor da freqncia f2','Faltando dado de entrada');
        falha = 1;
        return
    else
        f2 = str2double(f2);
    end
    if f1>=f2
        errordlg('A freqncia f2 deve ser maior que a freqncia f1','Dado de entrada invlido');
        falha = 1;
        return
    end
end
freqs = [f0 f1 f2];

obj    = findobj(handle,'Tag','GBu');
Butter = get(obj,'Value');
obj    = findobj(handle,'Tag','GLR');
LR     = get(obj,'Value');
if isempty(LR)
    LR = 0;
end
obj    = findobj(handle,'Tag','GBe');
Bessel = get(obj,'Value');
if Butter == 1
    FuncaoG = 'fButter';
elseif LR == 1
    FuncaoG = 'fLR';
else
    FuncaoG = 'fBessel';
end

[modG,fasG] = feval(FuncaoG,f,freqs,tipo,ordem);

obj   = findobj(handle,'Tag','VetorW');
valor = get(obj,'Value');
if valor == 1
    W = 1;
else
    W = (1/P0linear)*modG;
end