function [modulo,fase] = fLR(f,arg,tipo,ordem)

w  = 2*pi*f;
f0 = arg(1); f1 = arg(2); f2 = arg(3);
w0 = 2*pi*f0;
w1 = 2*pi*f1;
w2 = 2*pi*f2;
s  = j*w;

if strcmp(tipo,'PB')
    sn = s/w0;
elseif strcmp(tipo,'PF')
    w0 = sqrt(w1*w2);
    B = w2 - w1;
    sn = (s.^2 + w0^2)./(B*s);
else
    sn = w0./s;
end

switch ordem
case 2
    denButter= sn + 1;
    denLR = denButter.^2;
otherwise
    denButter = sn.^2 + sqrt(2)*sn + 1;
    denLR = denButter.^2;
end
modulo = abs(1./denLR);
fase = angle(1./denLR);
fase = unwrap(fase);